#version 330 core

// LIGHT BUFFER

uniform sampler2DRect lightBuffer;

// OUTPUT LIGHT

layout(location = 0)out vec4 outColor;

// MAIN PROGRAM

void main(void) {
    ivec2 texCoord = ivec2(gl_FragCoord.xy);
    vec3 color = texelFetch(lightBuffer, texCoord).xyz;
    outColor = vec4(color, 1.0);
}
